#!/bin/bash

# Install the mod-proxy-uwsgi module
sudo apt-get install libapache2-mod-proxy-uwsgi

# Restart apache to enable the config
sudo a2ensite globus-oidc.conf
sudo service apache2 reload

echo "Checking that Apache has incorporated the new site..."
if [ ! -f /etc/apache2/sites-enabled/globus-oidc.conf ]; then
  echo "The OIDC site does not look to be set up correctly, please review the logs, repair the issue, and rerun the installer"
  exit 1
else
  echo "The OIDC site has been set up successfully!"
fi
