#!/bin/bash

# Start the service
sudo systemctl enable globus-oidc
sudo systemctl start globus-oidc
echo "Waiting for uWSGI service to start up..."
sleep 2s

echo "Checking if service is running correctly..."
sudo systemctl is-active --quiet globus-oidc
if [ $? -ne 0 ]; then
  echo "Globus OIDC uWSGI service is not running correctly, please check the logs and correct the issue before reinstalling"
  exit 1
else
  echo "Globus OIDC uWSGI service is running correctly!"
fi