<VirtualHost *:443>
    SSLEngine on
    SSLCertificateFile ${CERTLOC}/cert.pem
    SSLCertificateKeyFile ${CERTLOC}/privkey.pem
    SSLCertificateChainFile ${CERTLOC}/chain.pem

    SSLProtocol             all -SSLv3 -TLSv1 -TLSv1.1
    SSLCipherSuite          ECDHE-ECDSA-AES128-GCM-SHA256:ECDHE-RSA-AES128-GCM-SHA256:ECDHE-ECDSA-AES256-GCM-SHA384:ECDHE-RSA-AES256-GCM-SHA384:ECDHE-ECDSA-CHACHA20-POLY1305:ECDHE-RSA-CHACHA20-POLY1305:DHE-RSA-AES128-GCM-SHA256:DHE-RSA-AES256-GCM-SHA384
    SSLHonorCipherOrder     off
    SSLSessionTickets       off
    ServerName ${DOMAIN}
    ProxyPass / http://localhost:5050/

    ErrorLog <%text>${APACHE_LOG_DIR}</%text>/oidc-error.log
    CustomLog <%text>${APACHE_LOG_DIR}</%text>/oidc-access.log combined
</VirtualHost>
